## sympl-backup 9.0.190604.0

=== Makefile ===
#
#  Makefile for the backup package
#
test:
	@echo "I: No tests available for this package"

clean:
	$(RM) -r ./debian/sympl-backup/usr/share/lintian/overrides

all:
	mkdir -p ./debian/sympl-backup/usr/share/lintian/overrides || true
	cp debian/lintian-overrides ./debian/sympl-backup/usr/share/lintian/overrides/sympl-backup

.PHONY: clean all test

=== debian/changelog ===
sympl-backup (9.0.190604.0) stable; urgency=medium

  * Replaced mentions of Symbiosis with Sympl.
  * Renamed package to sympl-backup

 -- Paul Cammish <sympl@kelduum.net>  Tue, 04 Jun 2019 23:00:00 +0100

symbiosis-backup (2018:0820) stable; urgency=medium

  * Prevented *.lock from being synced to backup space.

 -- Paul Cammish <paul.cammish@bytemark.co.uk>  Mon, 20 Aug 2018 12:08:00 +0100

symbiosis-backup (2018:0730) stable; urgency=medium

  * Removed output when not finding deprecated Bytemark backup space.
  * Added jobs to temporarily move lock file when doing space estimation.

 -- Paul Cammish <paul.cammish@bytemark.co.uk>  Mon, 30 Jul 2018 09:40:38 +0100

symbiosis-backup (2017:0818) stable; urgency=medium

  * Fixed typo in output.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 18 Aug 2017 18:22:48 +0100

symbiosis-backup (2017:0424) stable; urgency=medium

  * Updated copyright and compat files.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 24 Apr 2017 15:24:55 +0100

symbiosis-backup (2015:1030) stable; urgency=medium

  * Updated makefile; added no-op test target and fixed clean to actually
    clean.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 19 Apr 2017 10:42:15 +0100

symbiosis-backup (2015:1029) stable; urgency=medium

  * Updated the available space checker to parse the backup2l.conf more
    accurately.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 04 Feb 2016 12:43:12 +0000

symbiosis-backup (2015:1028) stable; urgency=medium

  * Added in missing libswitch-perl dependency.
  * Made output of check-availspace pre-backup script more useful.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 28 Oct 2015 14:04:48 +0000

symbiosis-backup (2015:0825) stable; urgency=medium

  * If the pre-backup scripts fail, the backup will not be taken.
  * Backups now check for free space before continuing.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 25 Aug 2015 12:25:35 +0100

symbiosis-backup (2015:0618) stable; urgency=medium

  * Changed File#exists? to File#exist? everywhere.
  * Cleared out orphaned database dumps pre-backup.
  * Updated maintainers + uploaders.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 17 Jun 2015 10:30:26 +0100

symbiosis-backup (2015:0128) stable; urgency=low

  * Updated Debian standards versions.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 28 Jan 2015 09:55:09 +0000

symbiosis-backup (2014:1110) stable; urgency=low

  * Added 'make' as a dependency.

 -- James Carter <jcarter@bytemark.co.uk>  Mon, 10 Nov 2014 11:12:45 +0000

symbiosis-backup (2014:0226) stable; urgency=low

  * make distclean now removes all generated files.
  * Cleaned up postinst/prerm not to overwrite stuff/clean

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 26 Feb 2014 15:49:19 +0000

symbiosis-backup (2014:0214) stable; urgency=low

  * Added skip-lock-tables for mysql performance_schema.
  * Removed DH_VERBOSE flag

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 14 Feb 2014 12:54:19 +0000

symbiosis-backup (2014:0116) stable; urgency=low

  * Updated shebang of pre-backup mysql script

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 16 Jan 2014 16:41:33 +0000

symbiosis-backup (2014:0113) stable; urgency=low

  * Updated dependencies for wheezy.
  * New maintainer and uploaders.
  * Altered backup regieme to use 2 levels, and 5 backups per levels,
    resulting in 30 days between full backups, as opposed to 584.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 13 Jan 2014 16:44:07 +0000

symbiosis-backup (2012:0912) stable; urgency=low

  * Updated mysql tests to pass now that the --databases arg has been removed.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 12 Sep 2012 11:05:21 +0100

symbiosis-backup (2012:0808) stable; urgency=low

  [ Steve Kemp ]
  * Add --perms to the rsync command line when downloading backups to avoid
    ACL-related messages.

  [ Patrick J Cherry ]
  * Removed --databases arg from mysqldump to prevent accidental overwriting
    of existing databases.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 08 Aug 2012 16:16:08 +0100

symbiosis-backup (2012:0614) stable; urgency=low

  * Updated postgres and mysql scripts not be output verbose things by
    default.
  * Updated postgres and mysql scripts to check command line args against
    existing DB.  Close #3536.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 14 Jun 2012 12:17:34 +0100

symbiosis-backup (2012:0525) stable; urgency=low

  * Updated postgres and mysql scripts to ruby, using URL encoding for dump
    files.  Closes #3396.
  * Now with testing goodness, although this requires
    libmysql-ruby/libpgsql-ruby to work.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 25 May 2012 16:17:15 +0100

symbiosis-backup (2012:0416) stable; urgency=low

  * Use "--quiet" when invoking rsync, rather than --verbose.

 -- Steve Kemp <steve@bytemark.co.uk>  Mon, 16 Apr 2012 09:33:09 +0000

symbiosis-backup (2012:0414) stable; urgency=low

  * Updated postgres backup script to work.
  * Postgres backups now done by database, using the "custom" format to allow
    easy restoration of dumped databases using pg_restore.
  * MySQL dumps now use the --opt flag explicitly.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Sat, 14 Apr 2012 12:30:19 +0100

symbiosis-backup (2012:0222) stable; urgency=low

  * Updated copyright dates.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 22 Feb 2012 14:05:10 +0000

symbiosis-backup (2012:0220) stable; urgency=low

  [ Steve Kemp ]
  * Avoid dumping MySQL databases if MySQL is no longer present.
  * Attempt to dump all PostreSQL databases, if that is installed.

  [ Patrick J Cherry ]
  * Make sure /var/backups/postgres is on the backup path, and
    /var/lib/postgresql is not.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 21 Feb 2012 15:51:06 +0000

symbiosis-backup (2012:0215) stable; urgency=low

  * Updated backup directories to exclude /var/lib/mysql and /var/lib/php5.


=== debian/control ===
Source: sympl-backup
Section: web
Priority: extra
Maintainer: Paul Cammish <sympl@kelduum.net>
Uploaders: Paul Cammish <sympl@kelduum.net>
Build-Depends: debhelper (>= 7.0.0), gem2deb
Standards-Version: 3.9.6
XS-Ruby-Versions: all

Package: sympl-backup
Architecture: all
Depends: backup2l, ruby, sympl-common, make, libfilesys-df-perl,libswitch-perl, ${misc:Depends}
Replaces: symbiosis-backup
Provides: symbiosis-backup
Conflicts: symbiosis-backup
Description: Automatically backup your files
 This package configures backup2l to backup your data.
 .
 This backup won't protect you against system failure, but will prevent
 you from accidental deletions, etc.
